#
# spec file for package htmldoc (Version 1.8.27)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           htmldoc
BuildRequires:  fltk-devel freeglut-devel gcc-c++ libdrm-devel libjpeg-devel libpng-devel openssl-devel
License:        LGPL
Group:          Productivity/Publishing/HTML/Tools
URL:            http://htmldoc.org/
Autoreqprov:    on
Version:        1.8.27
Release:        2.13
Summary:        HTML Processor that Generates HTML, PostScript, and PDF Files
Source:         %{name}-%{version}-source.tar.bz2
Patch:          %{name}-docpath.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define       DOCDIR %{_datadir}/doc/packages/%{name}

%description
HTMLDOC converts HTML source files into indexed HTML, PostScript, or
Portable Document Format (PDF) files that can be viewed online or
printed.



Authors:
--------
    Michael Sweet <mike at easysw dot com>

%prep
%setup 
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
autoconf
./configure \
	--bindir=%{_bindir} \
	--prefix=%{_usr} \
	--mandir=%{_mandir} \
	--with-fltk-libs=/usr/X11R6/lib \
	--with-fltk-includes=/usr/X11R6/include \
	--with-gui
make

%install
[ x"${RPM_BUILD_ROOT}" = x"/" ] && ( echo "your buildroot is /" && exit 0) || rm -rf "${RPM_BUILD_ROOT}"
mkdir -p \
	${RPM_BUILD_ROOT}/%{_bindir} \
	${RPM_BUILD_ROOT}/%{_mandir}
make \
	bindir=${RPM_BUILD_ROOT}/%{_bindir} \
	prefix=${RPM_BUILD_ROOT}/%{_usr} \
	mandir=${RPM_BUILD_ROOT}/%{_mandir} \
install 

%files 
%defattr(-,root,root)
%{_bindir}/htmldoc
%{_datadir}/htmldoc
%doc %{_mandir}/man1/htmldoc.1.gz
%doc doc/ cgi-bin/ CHANGES.txt COMPILE.txt COPYING.txt README.txt

%changelog
* Thu Aug  3 2006 lmuelle@suse.de
- Update to version 1.8.27.
  + Fixed a crash bug that appeared when more than 10 blank
    pages were present in a document (PR #6223)
  + Color changes were not reflected in PRE text (STR #129)
  + Remote URLs did not always work on older operating
    systems (PR #6179)
  + Image filenames using %% escapes were not decoded
    properly.
  + Rows using BGCOLOR that spanned across multiple pages
    did not render properly (PR #6149)
  + Rows no longer start on a new page due to a cell with
    both HEIGHT and ROWSPAN specified (PR #6086)
  + CMYK JPEG images caused HTMLDOC to crash (PR #6106)
  + Table cell width calculations didn't always account for
    the proper minimum width (STR #121)
  + Images were not copied when generating indexed HTML
    output to a directory (STR #117)
  + Changing the bottom margin resulted in text that was
    formatted below the bottom margin.
  + The Monospace-Oblique font was not embedded properly in
    PDF files.
  + Outline and keyword strings in PDF files are now stored
    as Unicode (STR #113)
  + The Flate compression code could get in an infinite
    loop if it ran out of memory (STR #101)
  + Book files saved from the GUI did not handle filenames
    with spaces (STR #105)
  + Fixed and re-enabled the ASCII85Device filter support
    in PostScript Level 2/3 output (STR #116)
  + Character entities in the first word of a file were not
    rendered properly (STR #111)
  + Fixed-size table columns were incorrectly resized when
    a table width was also specified and there was extra
    space to distribute (PR #6062)
  + Text could "walk" up or down when in-line images were
    used (PR #6034)
  + Row backgrounds incorrectly replaced cell backgrounds
    when the first cell in a row used ROWSPAN (PR #6033, PR
    [#6036])
  + HTMLDOC did not correctly parse FONT FACE attributes
    (PR #6006)
  + Images in Level 2/3 PostScript output did not work on
    some printers (PR #6000)
  + The GUI did not use the first page header (PR #5978)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 22 2005 lmuelle@suse.de
- Update to version 1.8.25.
* Wed Dec  8 2004 lmuelle@suse.de
- Update to version 1.8.24; [#43261].
* Mon May 17 2004 lmuelle@suse.de
- Add -fno-strict-aliasing to CFLAGS.
* Mon Mar 22 2004 ro@suse.de
- removed .orig file
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Mon Feb 24 2003 gd@suse.de
- update to version 1.8.23
* Fri Aug 16 2002 ro@suse.de
- removed empty post/postun scripts (#17875) (again)
* Fri Aug 16 2002 gd@suse.de
- update to version 1.8.21
* Tue Aug 13 2002 ro@suse.de
- fix compilation with new fltk
* Thu Jul  4 2002 gd@suse.de
- update to version 1.8.20
- added diff to correct DOCDIR-path and missing fonts
- cleanups (%%files, %%{_mandir})
* Tue Feb  5 2002 gd@suse.de
- added libpng to neededforbuild
* Mon Feb  4 2002 gd@suse.de
- update to version 1.8.18
- the gui finally compiles with fltk-1.1.0b10
- added libjpeg to neededforbuild
* Thu Dec  6 2001 schwab@suse.de
- Fix fltk configuration.
* Thu Dec  6 2001 gd@suse.de
- fixed buildroot again
* Thu Dec  6 2001 ro@suse.de
- fixed format of changes file (again)
* Tue Dec  4 2001 gd@suse.de
- added FLTKCONFIG-path
- fixed neededforbuild
- fixed buildroot
* Mon Dec  3 2001 gd@suse.de
- fixed needeforbuild
* Mon Nov 26 2001 gd@suse.de
- update to 1.8.16
* Sat Oct  6 2001 gd@suse.de
- start
